<% . /usr/local/lib/cgi/haserl.sh ; check_instances pjsua_uihome.cgi %>
<% . /lib/config/functions.sh %>
<html>
<head>
<meta http-equiv="Content-type" content="text/html;charset=UTF-8">
<style type="text/css">
    body,td,th {
      margin-left: 20px;
      font-family: Arial, Helvetica, sans-serif;
      font-size: 13px;
      font-weight: bold;
      color: #333333;
    }
    th.val,td.val {
      background-color: #e6e8eb;
      font-weight: normal;
    }
    th.wh,td.wh {
      background-color: #ffffff;
    }
    img.cmd {
      width: 0px;
      height: 0px;
      visibility: hidden;
    }
    iframe.app_iframe {
      display: block;
      border: none;
      height: 100vh;
      width: calc(100% + 17px);
    }
</style>

<script language=JavaScript>

var is_firefox = navigator.userAgent.toLowerCase().indexOf('firefox') > -1;
var isIE=0;

var delay = 1000;
var xmlhttp=false;
var empty_cnt;

// get best/appropriate xmlhttprequest object
if (isIE) {
	try {
		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (e) {
		try {
			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		} catch (E) {
			xmlhttp = false;
		}
	}
} else {
	xmlhttp = false;
}
// now go with std (non IE) xmlhttp
if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
	try {
		xmlhttp = new XMLHttpRequest();
	} catch (e) {
		xmlhttp = false;
	}
}

function send_xmlhttp_request (url, funct) {
	xmlhttp.open("GET", url, true);
	if (!isIE)
		xmlhttp.overrideMimeType('text/plain');
	xmlhttp.setRequestHeader("If-Modified-Since", "Sat, 1 Jan 2000 00:00:00 GMT");
	if(!funct) funct = function(){};
	xmlhttp.onreadystatechange=funct;
	xmlhttp.send(null);
}

function gotStatus(data) {
	/* 
	 * not found http error <?xml  ?
	 */
	if (data.substr(0,2)=="<?") return;
	
	if (data!="") {
		processStatusData(data);
	}else{
		//did not get response, stop polling and report error 
		// stop sending requests
		// send_xmlhttp_request("/cgi-bin/sip.cgi?get_status=1",0);
	}
	setTimeout("getStatus()", delay);	
}

function getStatus() {
	if (xmlhttp) {
		function reply() {
			if (xmlhttp.readyState==4) {
				gotStatus(xmlhttp.responseText);
			}
		};
		send_xmlhttp_request("/cgi-bin/command.cgi?get_player_status=1",reply);
	}
}

function startStatusPolling() {
	empty_cnt=0;	
	setTimeout("getStatus()", delay);		
}

function processStatusData(statusData){
	var state = statusData
	var jsonObj = JSON.parse(statusData)
	document.getElementById('player_state').innerHTML=jsonObj.app_state
	//document.getElementById('sip_uri').innerHTML=jsonObj.sip_uri
}

function sendSingleCommand(cmd){
   	var randomActNo=Math.floor(Math.random()*1001);
   	var dataHref="/cgi-bin/command.cgi?"+cmd+"&"+randomActNo;
   	document.images["senddataimg"].src = dataHref; // use fake img to send data without reloading
}

function processThreshold() {
	 var slider = document.getElementById("threshold");
	 var threshold = slider.value
	 sendSingleCommand('set_threshold='+threshold)
}

function processCallId() {
	var field = document.getElementById("call_uri");
	var call_uri = field.value
	sendSingleCommand('make_call='+call_uri)
}

</script>
</head>
<body link=#000000 vlink=#000000 alink=#000000 onload="startStatusPolling();"><font face="Arial, Helvetica, sans-serif">
<img class="cmd" name="senddataimg" src="">

<table width=510px>
<col width="100px">
<col width="410px">
<tr>
<td colspan=2>BARIX Flexa HOME PAGE</td>
</tr>
</table>
<br>
<table cellspacing="0" cellpadding="3" width="510px">
	<tr>
		<td colspan=2>
			Barix Flexa Device Status
		</td>
	</tr>
	<tr>
		<td> Registration ID </td>
		<td class="val" id=regid><% cfg_print_param flexa_agent.registry.regid%></td>
	</tr>
	<tr>
		<td> Service URL </td>
		<td class="val" id=service_url><% cfg_print_param flexa_agent.service.service_url%></td>
	</tr>

		<tr>
		<td> Package Version </td>
		<td class="val" id=package_version><% cfg_print_param flexa_agent.service.package_version%></td>
	</tr>

	<tr>
		<td> Flexa Application Status </td>	
		<td class="val" id=player_state></td>
	</tr>
	
</table>
<br>
<table cellspacing="0" cellpadding="3" width="510px">
	

<td colspan=2>
	Barix Flexa Application User Interface
</td>
	</tr>
	<tr>
		<td>
			<input type=button value=Stop App onclick=sendSingleCommand('app_stop=1'); >
		</td>
		<td>
			<input type=button value=Start App onclick=sendSingleCommand('app_start=1');>
		</td>
		<td>
			<input type=button value="Sync" onclick=sendSingleCommand('reconnect=1');>
		</td> 
		<td> 
		</td>
	</tr>
</table>
<% [ ! -f /usr/local/www/current/app/app_home.cgi ] && echo '<!--' %>
<iframe src="/app/app_home.cgi" frameborder="0" class="app_iframe"></iframe>
<% [ ! -f /usr/local/www/current/app/app_home.cgi ] && echo '-->' %>  
<br>

</body>
</html>
